#**************************************************************************
# Group Linslot / Linux - Slotrace Manager
# File setup.pro
# Date 06.12.06 - Jrg Wendel
# This code is distributed under the terms and conditions of the
# GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
#***************************************************************************

#----------------------------------------------------------
# select your hardware
#----------------------------------------------------------

#interface = iowarrior
interface = arduino

#----------------------------------------------------------
# Definitions
#----------------------------------------------------------

TEMPLATE  = app
CONFIG    += qt debug

FORMS       = linslot.ui setup.ui highscore.ui

DEPENDPATH  += .
INCLUDEPATH += .
LIBPATH     += /usr/local/lib
LIBS        += -lsqlite3
HEADERS     += linslot.hpp iothread.hpp common.hpp \
               setup.hpp sqlite.hpp list.hpp highscore.hpp \
               iointerface.hpp
SOURCES     += main.cc linslot.cc iothread.cc common.cc \
               setup.cc sqlite.cc list.cc highscore.cc \
               iointerface.cc


#----------------------------------------------------------
# Hardware
#----------------------------------------------------------

message("Building for $$interface ...")

contains(interface, iowarrior) {
   HEADERS        += iow.hpp
   SOURCES        += iow.cc
   QMAKE_CXXFLAGS += -DWITH_IOWARRIOR
}

contains(interface, arduino) {
   HEADERS        += arduino.hpp
   SOURCES        += arduino.cc
   QMAKE_CXXFLAGS += -DWITH_ARDUINO
}
